Bug 502438 - Anaconda fails with traceback on pvremove
Anaconda fails with traceback on pvremove
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.4
i386 Linux
low Severity medium
: beta
: ---
Assigned To: Radek Vykydal
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 06:10 EDT by Marian Ganisin
Modified: 2009-09-02 05:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:56:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Ganisin 2009-05-25 06:10:11 EDT
Description of problem:
When performing test installation, anaconda failed accidentally when removing LVM metada.
Logs show, it is trying to perform pvremove against 'unknown device'.
Probably some physical disk is not present anymore and anaconda is not omitting its record, when going trough list of PVs.

anaconda.log:
http://hank.test.redhat.com/autotest/testcases/rel-eng_RHEL5.4-Server-20090522.0_5-i386/nfs-distill-french-nfs-TUI/anamon/anaconda.log
http://hank.test.redhat.com/autotest/testcases/rel-eng_RHEL5.4-Client-20090521.8_5-i386/ext3_raid0-distill-russian-ftp-TUI/anamon/anaconda.log

anacdump.txt:
http://hank.test.redhat.com/autotest/testcases/rel-eng_RHEL5.4-Server-20090522.0_5-i386/nfs-distill-french-nfs-TUI/anamon/anacdump.txt
http://hank.test.redhat.com/autotest/testcases/rel-eng_RHEL5.4-Client-20090521.8_5-i386/ext3_raid0-distill-russian-ftp-TUI/anamon/anacdump.txt

Version-Release number of selected component (if applicable):
RHEL5.4-Server-20090522.0
RHEL5.4-Client-20090521.8
Comment 1 Radek Vykydal 2009-05-25 06:41:03 EDT
We have fixed this issue in rhel 4.9, can you please retest if http://rvykydal.fedorapeople.org/updates.502438.img containing ported patch fixes the bug?
Comment 2 Radek Vykydal 2009-05-26 10:32:59 EDT
I was able to reproduce the bug in kvm with
rhel/nightly/RHEL5.4-Server-20090526.nightly/tree-i386/images/boot.iso
doing interactive install (the cases from Description are kickstart):

1. Create default install on 2 disks.
2. Start new interactive install on vm having only first of the disks.
3. Select "Create custom layout".
4. Delete existing VG.
5. Create new VG (having the existng PV) with swap and / LVs.
6. Select to format existing boot.
7. Click Next.
8. Get the same traceback.

I believe that in steps 6., 7. creating any installable layout should work.

I can confirm the patch fixes my reproducer.
Comment 3 Radek Vykydal 2009-05-26 10:48:04 EDT
Should be fixed in version 11.1.2.178 of anaconda.
Comment 4 RHEL Product and Program Management 2009-05-26 10:50:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-09-02 05:56:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1306.html

Note You need to log in before you can comment on or make changes to this bug.